# Mystic BBS (Bulletin Board Software)
----
## What is Mystic BBS?
see [MysticBBS](https://www.mysticbbs.com)

> Mystic BBS was conceived around the year 1995 when the author became frustrated by the lack of customization available with Renegade BBS, and first released to the public in late 1997 during a period when many BBS packages were seeing a decline (or a full stop) in development. Mystic is developed from the ground up with all original source code and is intended to be the spiritual successor to both Telegard and Renegade (two of the packages the author used prior to developing Mystic BBS).

> With the fall of MS-DOS and the decline of the BBS, Mystic continued to push forward by releasing an OS/2 and Windows 32 native version in 1998. Mystic was the first of the non-commerical DOS based BBS packages to make the transition and integrate directly with the Telnet protocol. Mystic also went on to become the first of the MS-DOS based packages to release a native Linux version in 1999, and the first to introduce a standardized platform for DOOR games across all 4 operating systems.

> In the following years after the first MS-DOS release in 1997, Mystic grew to become one of the most widely used BBS packages. Popular amongst many SysOps who took ease of customization and the user experience seriously, it is arguable that Mystic was (or even still is) the most popular BBS software for those who share a common interest in ANSI art and BBS modding.

> In recent years, Mystic has removed its DOS version and its limitations, and has moved on to better integrate with Internet protocols. Mystic now has internal Telnet, RLOGIN, SSH, NNTP, POP3, SMTP, FTP, HTTP and BINKP servers while continuing to focus on and enhance the SysOp and user experience.

----
## About this Docker Container
This Docker Container represents a completed installation of MysticBBS. It is ready to configure and personalise.

To use this container:

1. Docker pull it from my registry. (Actually you can skip this step, but its worth doing it anyway!)

        docker pull registry.leenooks.net/leenooks/mysticbbs:1.12a39-armv7l

2. Create a directory to hold your BBS data. (I use */srv/docker/mystic*).

        mkdir -p /srv/mystic/data

3. Start the container.

        docker run -itd -v /srv/mystic/data:/mystic data -p 10022:22 -p 10023:23 -p 24554:24554 registry.leenooks.net/leenooks/mysticbbs:1.12a39-armv7l

    Explanation of these parameters:

    | Parameter | Value |
    | :- | :-- |
    | -d | Detached mode: run the container in the background and print the new container ID. |
    | -i | Keep STDIN open even if not attached. |
    | -n | Give your container a specific name. |
    | -p | Map host ports to container ports. |
    | -t | Allocate a pseudo-TTY. |
   
    Remember your container ID *(your number will be different)*. 

        ca219a461376...
       
4. Attach to your container and create your sysop user.

        docker exec -it ca219a461376 ./mystic -l

5. Upgrade your new user to sysop levels

        docker exec -it ca219a461376 ./mystic -cfg

6. You can now start to play. If you externalised your telnet port, then you can telnet in.

If you want to monitor your container, or stop it, attach to the console with:
      
    docker attach ca219a461376
